Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class WindowEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.ComponentEvent
                        |
                        +--java.awt.event.WindowEvent

All Implemented Interfaces:
  Serializable

public class WindowEvent
extends ComponentEvent

A low-level event which indicates that a window has changed its status. This low-level event is generated by a Window object when it is opened, closed, about to close, activated or deactivated, iconified or deconified.

The event is passed to every `WindowListener` or `WindowAdapter` object which registered to receive such events using the window's `addWindowListener` method. (`WindowAdapter` objects implement the `WindowListener` interface.) Each such listener object gets this `WindowEvent` when the event occurs.

Since:
  1.1
See Also:
  `WindowAdapter`, `WindowListener`, Tutorial: Writing a Window Listener, Reference: The Java Class Libraries (update file), Serialized Form

Field Summary
`static int` | `WINDOW_ACTIVATED` The window activated event type.
`static int` | `WINDOW_CLOSED` The window closed event.
`static int` | `WINDOW_CLOSING` The "window is closing" event.
`static int` | `WINDOW_DEACTIVATED` The window deactivated event type.
`static int` | `WINDOW_DEICONIFIED` The window deiconified event type.
`static int` | `WINDOW_FIRST` The first number in the range of ids used for window events.
`static int` | `WINDOW_ICONIFIED` The window iconified event.
`static int` | `WINDOW_LAST` The last number in the range of ids used for window events.
`static int` | `WINDOW_OPENED` The window opened event.

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`WindowEvent(Window source, int id)` Constructs a WindowEvent object.

Method Summary
`Window` | `getWindow()` Returns the originator of the event.
`String` | `paramString()` Returns a parameter string identifying this event.

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`consume, finalize, getID, isConsumed, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WINDOW_FIRST

    public static final int WINDOW_FIRST

  The first number in the range of ids used for window events.

### WINDOW_LAST

    public static final int WINDOW_LAST

  The last number in the range of ids used for window events.

### WINDOW_OPENED

    public static final int WINDOW_OPENED

  The window opened event. This event is delivered only the first time a window is made visible.

### WINDOW_CLOSING

    public static final int WINDOW_CLOSING

  The "window is closing" event. This event is delivered when the user attempts to close the window from the window's system menu. If the program does not explicitly hide or dispose the window while processing this event, the window close operation will be cancelled.

### WINDOW_CLOSED

    public static final int WINDOW_CLOSED

  The window closed event. This event is delivered after the window has been closed as the result of a call to dispose.

### WINDOW_ICONIFIED

    public static final int WINDOW_ICONIFIED

  The window iconified event. This event is delivered when the window has been changed from a normal to a minimized state. For many platforms, a minimized window is displayed as the icon specified in the window's iconImage property.
  See Also:
    `Frame.setIconImage(java.awt.Image)`

### WINDOW_DEICONIFIED

    public static final int WINDOW_DEICONIFIED

  The window deiconified event type. This event is delivered when the window has been changed from a minimized to a normal state.

### WINDOW_ACTIVATED

    public static final int WINDOW_ACTIVATED

  The window activated event type. This event is delivered when the window becomes the user's active window, which means that the window (or one of its subcomponents) will receive keyboard events.

### WINDOW_DEACTIVATED

    public static final int WINDOW_DEACTIVATED

  The window deactivated event type. This event is delivered when a window is no longer the user's active window, which means keyboard events will no longer be delivered to the window or its subcomponents.

Constructor Detail

### WindowEvent

    public WindowEvent(Window source,
                       int id)

  Constructs a WindowEvent object.
  Parameters:
    `source` - the Window object that originated the event
    `id` - an integer indicating the type of event

Method Detail

### getWindow

    public Window getWindow()

  Returns the originator of the event.
  Returns:
    the Window object that originated the event

### paramString

    public String paramString()

  Returns a parameter string identifying this event. This method is useful for event-logging and for debugging.
  Overrides:
    `paramString` in class `ComponentEvent`
  Returns:
    a string identifying the event and its attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.